function floatingBanner()
{
	// writed by CM Bilisim
	
	this.x_index = 785;
	this.min_client_width = 900;
	this.top_margin = 2;
	
	this.button_CSS = "display: none; position: absolute; width: 156px; top: 2px; height: 20px; background: #DE0000";
	this.banner_CSS = "display: none; visibility: visible; width: 156px; position: absolute; top: 2px";
	
	this.banner_Code = '';
	
	this._show = _show;
	this._hidden = _hidden;
	this._paint = _paint;
	this._draw = _draw;
	this.swapStatus = swapStatus;
	
	this.show_status = false;
	
	
	function _show()
	{
		CM_Float_banner_div.style.visibility = 'visible';
		CM_Float_banner_div.style.display = 'block';
		CM_Float_button_div.style.display = 'block';
		this.show_status = true;
		this._paint();
	}

	function _hidden()
	{
		CM_Float_banner_div.style.visibility = 'hidden';
		this.show_status = false;
	}
	
	function swapStatus()
	{
		if(this.show_status)
			this._hidden()
		else
			this._show();
	}
	function _paint()
	{
		with(document.body)
		{
			if(clientWidth > this.min_client_width)
			{
				if (this.show_status)
				{
					CM_Float_banner_div.style.left = this.x_index;
					
					CM_Float_banner_div.style.top = scrollTop + CM_Float_button_div.offsetHeight + this.top_margin;
					
					CM_Float_banner_div.style.display = "block";
				}
					CM_Float_button_div.style.left = this.x_index;
					CM_Float_button_div.style.top = scrollTop + this.top_margin;
					CM_Float_button_div.style.display = "block";
			}
			else
			{
				CM_Float_banner_div.style.display = "none";
				CM_Float_button_div.style.display = "none";
			}
		}
	}
	function _draw()
	{
		document.write ('<div id="CM_Float_button_div" style="' + this.button_CSS + '"><a style="cursor: hand; font: 100 8pt/20px Verdana; color: #FFFFFF; text-align: right;" onclick="return CM_Floating_changeStatus()">Gizle&nbsp;&nbsp;</a></div>');
		document.write ('<div id="CM_Float_banner_div" style="' + this.banner_CSS + '">' + this.banner_Code + '</div>');
	}
	
	//this._paint();
	
}
function CM_Floating_changeStatus()
{
	elm.swapStatus()
}
function CM_Floating_Event()
{
	elm._paint();
}




function getNormalSWF(_WIDTH, _HEIGHT, _SRC)
{
	document.write('<object width="' + _WIDTH + '" height="' + _HEIGHT + '" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0">');
	document.write('<param name="movie" value="' + _SRC + '">');
	document.write('<param name="quality" value="high">');
	document.write('<param name="scale" value="1">');
	document.write('<embed src="' + _SRC + '" width="' + _WIDTH + '" height="' + _HEIGHT + '" scale="exactfit" quality="high" wmode="transparent" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash"></embed>');
	document.write('</object>');
}


function getRolloverSWF(_WIDTH, _HEIGHT, _ROLL_WIDTH, _ROLL_HEIGHT, _SRC)
{
	document.write('<div style="width: ' + _WIDTH + '; height: ' + _HEIGHT + '; position: relative; z-index:99; top: 0px; left:0px">');
	document.write('<object width="' + _ROLL_WIDTH + '" height="' + _ROLL_HEIGHT + '" style="position: absolute; left: 0px; top: 0px;" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0">');
	document.write('<param name="movie" value="' + _SRC + '">');
	document.write('<param name="menu" value="false">');
	document.write('<param name="quality" value="high">');
	document.write('<param name="wmode" value="transparent">');
	document.write('<param name="scale" value="1">');
	document.write('<embed src="' + _SRC + '" width="' + _ROLL_WIDTH + '" height="' + _ROLL_HEIGHT + '" scale="exactfit" quality="high" wmode="transparent" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash"></embed>');
	document.write('</object>');
	document.write('</div>');
}